# prc01u.py (encoding: utf-8)
  # 性別(カテゴリーデータ)、身長(数値データ)について
  # summaryをpython側で表示
import pandas as pd
from rpy2.robjects import r
from textwrap import dedent
import pyrcmd as prc
prc.set_charset('utf-8')

src_file = 'data.csv'
rscript = dedent(u'''\
    dtf <- read.csv("%s", header=T, fileEncoding="%s")
    gender_summary <- summary(dtf$性別)
    height_summary <- summary(dtf$身長)
    ''') % (src_file, prc.get_charset(src_file))
prc.rexec(rscript, sink=False)  # Rコマンドの実行

gender_summary = r['gender_summary']  # rp2オブジェクトとして取得
ser = prc.rp2pd(gender_summary)  # pandasオブジェクトに変換
print(u"「性別」のsummary(該当人数)は下のとおり.")
print(ser)
print('')

height_summary = r['height_summary']
ser = prc.rp2pd(height_summary)
print(u"身長のsummaryは下のとおり.")
print(ser)
